Rewind array back to the start

- « ArrayIterator::offsetUnset

- ArrayIterator::seek »

- PHP Manual
- ArrayIterator
- Rewind array back to the start

# ArrayIterator::rewind

(PHP 5, PHP 7, PHP 8)

ArrayIterator::rewind — Rewind array back to the start

### Description

public ArrayIterator::rewind(): void

This rewinds the iterator to the beginning.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayIterator::rewind() example

    <?php$arrayobject = new ArrayObject();$arrayobject[] = 'zero';$arrayobject[] = 'one';$arrayobject[] = 'two';$iterator = $arrayobject->getIterator();$iterator->next();echo $iterator->key(); //1$iterator->rewind(); //rewinding to the beginningecho $iterator->key(); //0?>